Package org.apache.sling.scripting.sightly.impl.compiler.util.stream

## Interface EmitterVisitor

All Superinterfaces:
  `CommandVisitor`

All Known Implementing Classes:
  `ConstantFolding`, `DeadCodeRemoval`, `SyntheticMapRemoval`, `UnusedVariableRemoval`

    public interface EmitterVisitor
    extends CommandVisitor

Command visitor which writes to an output stream.

### Method Summary

All Methods Instance Methods Abstract Methods
`PushStream` `getOutputStream()` Get the output stream

### Methods inherited from interface org.apache.sling.scripting.sightly.compiler.commands.CommandVisitor

`visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit, visit`

### Method Detail

#### getOutputStream

    PushStream getOutputStream()

Get the output stream

Returns:
  the output stream of this visitor